Panda3D

Public Member Functions | List of all members
DSearchPath::Results Class Reference

## Public Member Functions
| Results (const Results &copy)
void | add_file (const Filename &file)
| Adds a new file to the result list. More...
void | clear ()
| Removes all the files from the list. More...
const Filename & | get_file (size_t n) const
| Returns the nth file on the result list. More...
size_t | get_num_files () const
| Returns the number of files on the result list. More...
void | operator= (const Results &copy)
Filename | operator[] (size_t n) const
| Returns the nth filename in the set. More...
void | output (std::ostream &out) const
size_t | size () const
| Returns the num of filenames in the set. More...
void | write (std::ostream &out, int indent_level=0) const

## Detailed Description

Definition at line 30 of file dSearchPath.h.

## Member Function Documentation

## ◆ add_file()

void DSearchPath::Results::add_file | ( | const Filename & | file | ) |

Adds a new file to the result list.

Definition at line 82 of file dSearchPath.cxx.

Referenced by DSearchPath::find_all_files().

## ◆ clear()

void DSearchPath::Results::clear | ( |  | ) |

Removes all the files from the list.

Definition at line 57 of file dSearchPath.cxx.

## ◆ get_file()

const Filename & DSearchPath::Results::get_file | ( | size_t | n | ) | const

Returns the nth file on the result list.

Definition at line 73 of file dSearchPath.cxx.

## ◆ get_num_files()

size_t DSearchPath::Results::get_num_files | ( |  | ) | const

Returns the number of files on the result list.

Definition at line 65 of file dSearchPath.cxx.

## ◆ operator[]()

Filename DSearchPath::Results::operator[] | ( | size_t | n | ) | const
| inline

Returns the nth filename in the set.

This method is defined to make the Results object appear to be a list in Python.

Definition at line 18 of file dSearchPath.I.

## ◆ size()

size_t DSearchPath::Results::size | ( |  | ) | const
| inline

Returns the num of filenames in the set.

This method is defined to make the Results object appear to be a list in Python.

Definition at line 27 of file dSearchPath.I.

The documentation for this class was generated from the following files:

- dtool/src/dtoolutil/dSearchPath.h
- dtool/src/dtoolutil/dSearchPath.cxx
- dtool/src/dtoolutil/dSearchPath.I